version: '3'
services:
  qpid:
    restart: unless-stopped
    image: 192.169.0.14:5000/artixcs-qpid:0.1
    ports:
     - "5672:5672"
    volumes:
      - qpid-data:/var/spool/qpid
  mysql:
    restart: unless-stopped
    image: 192.169.0.14:5000/artixcs-mysql:0.1
    ports:
     - "3306:3306"
    tmpfs: /var/lib/mysql
  mongo:
    restart: unless-stopped
    image: mongo
    ports:
     - "27017:27017"
    volumes:
      - mongo-data:/data/db
  rest:
    restart: unless-stopped
    image: 192.169.0.14:5000/artixcs-rest:0.1
    environment:
      - mysql.host
      - postgre.host
      - mongo.host
      - qpid.host    
      - server.host    
    depends_on:
      - mongo
      - qpid
      - mysql
    volumes:
      - ./logs/artix-server:/logs/artix-server
  datatransfer:
    restart: unless-stopped
    image: 192.169.0.14:5000/artixcs-datatransfer:0.1
    environment:
      - mysql.host
      - server.host
      - mysql_host=mysql    
    depends_on:
      - rest
    volumes:
      - ./logs/data-transfer:/logs/data-transfer
  web:
    restart: unless-stopped
    image: 192.169.0.14:5000/artixcs-web:0.3
    depends_on:
      - rest  
  sales-ws:
    restart: unless-stopped
    image: 192.169.0.14:5000/artixcs-sales-ws:0.1
    environment:
      - mysql.host
      - postgre.host
    depends_on:
      - rest     
  nginx:
    restart: unless-stopped
    image: 192.169.0.14:5000/artixcs-nginx:0.1
    ports:
     - "8080:80"
    depends_on:
      - rest
      - web
      - sales-ws
  nes:
    restart: unless-stopped
    image: 192.169.0.14:5000/artixcs-nes:0.1
    ports:
     - "28081:28081"
    depends_on:
      - qpid
      - mysql
    volumes:
      - ./logs/nes:/opt/nes/logs
    environment:
      - QPID_HOST=qpid
      - MYSQL_HOST=mysql
      - MYSQL_USER
      - MYSQL_PWD
      - NODE_PREFIX=
      - STATUS_SERVER=rest:8080
  dic-soap:
    restart: unless-stopped
    image: 192.169.0.14:5000/artixcs-upload-soap:0.1  
    volumes:
      - ./logs/soap:/opt/exchangers/logs
    depends_on:
      - qpid
      - rest
      - nes
    ports: 
     - "18080:18080" 
    environment:
      - QPID_HOST=qpid
      - NODE_HOST=rest
      - NODE_PORT=8080
      - NODE_PREFIX=
      - STATUS_SERVER=rest:8080
      - NES_SERVER=nes:28081
  dic-rest:
    restart: unless-stopped
    image: 192.169.0.14:5000/artixcs-upload-rest:0.1    
    volumes:
     - ./logs/rest:/opt/exchangers/logs
    depends_on:
      - qpid
      - rest
      - nes
    ports: 
     - "28080:28080" 
    environment:
      - QPID_HOST=qpid
      - NODE_HOST=rest
      - NODE_PORT=8080
      - NODE_PREFIX=
      - STATUS_SERVER=rest:8080
      - NES_SERVER=nes:28081
  dic-file:
    restart: unless-stopped
    image: 192.169.0.14:5000/artixcs-upload-file:0.1    
    volumes:
     - ./logs/file:/opt/exchangers/logs
     - ./exchange:/tmp/dict
    depends_on:
      - qpid
      - rest
      - nes
    environment:
      - QPID_HOST=qpid
      - NODE_HOST=rest
      - NODE_PORT=8080
      - NODE_PREFIX=
      - STATUS_SERVER=rest:8080
      - NES_SERVER=nes:28081    
     
volumes:
  mysql-data:
  qpid-data:
  mongo-data:
  
 